| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Macros | Functions
Time.icpp File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
| Gaudi
| Helper functions to set/get the application return code.

## Macros
#define | GAUDIKERNEL_TIME_ICPP 1

## Functions
std::ostream & | Gaudi::operator<< (std::ostream &out, const Gaudi::Time &time)
| Output operator. More...
std::ostream & | Gaudi::operator<< (std::ostream &out, const Gaudi::TimeSpan &time)
| Output operator. More...
Gaudi::Time | operator+ (const Gaudi::Time &t, const Gaudi::TimeSpan &ts)
Gaudi::Time | operator+ (const Gaudi::TimeSpan &ts, const Gaudi::Time &t)
Gaudi::TimeSpan | operator- (const Gaudi::Time &t1, const Gaudi::Time &t2)
Gaudi::Time | operator- (const Gaudi::Time &t, const Gaudi::TimeSpan &ts)
bool | operator== (const Gaudi::Time &t1, const Gaudi::Time &t2)
bool | operator!= (const Gaudi::Time &t1, const Gaudi::Time &t2)
bool | operator< (const Gaudi::Time &t1, const Gaudi::Time &t2)
bool | operator<= (const Gaudi::Time &t1, const Gaudi::Time &t2)
bool | operator> (const Gaudi::Time &t1, const Gaudi::Time &t2)
bool | operator>= (const Gaudi::Time &t1, const Gaudi::Time &t2)
bool | operator! (const Gaudi::Time &t)
Gaudi::TimeSpan | operator+ (const Gaudi::TimeSpan &ts)
Gaudi::TimeSpan | operator- (const Gaudi::TimeSpan &ts)
Gaudi::TimeSpan | operator+ (const Gaudi::TimeSpan &ts1, const Gaudi::TimeSpan &ts2)
Gaudi::TimeSpan | operator- (const Gaudi::TimeSpan &ts1, const Gaudi::TimeSpan &ts2)
bool | operator== (const Gaudi::TimeSpan &t1, const Gaudi::TimeSpan &t2)
bool | operator!= (const Gaudi::TimeSpan &t1, const Gaudi::TimeSpan &t2)
bool | operator< (const Gaudi::TimeSpan &t1, const Gaudi::TimeSpan &t2)
bool | operator<= (const Gaudi::TimeSpan &t1, const Gaudi::TimeSpan &t2)
bool | operator> (const Gaudi::TimeSpan &t1, const Gaudi::TimeSpan &t2)
bool | operator>= (const Gaudi::TimeSpan &t1, const Gaudi::TimeSpan &t2)
bool | operator! (const Gaudi::TimeSpan &ts)
StreamBuffer & | operator<< (StreamBuffer &s, const Gaudi::Time &t)
StreamBuffer & | operator>> (StreamBuffer &s, Gaudi::Time &t)

## Macro Definition Documentation

#define GAUDIKERNEL_TIME_ICPP 1

Definition at line 2 of file Time.icpp.

## Function Documentation

bool operator! | ( | const Gaudi::Time & | t | ) |
| inline

Definition at line 248 of file Time.icpp.

248 {
249 return ! t.ns();
250 }
Gaudi::Time::ns
ValueType ns(void) const
Return the time as nanoseconds since 00:00:00 on January 1, 1970 in UTC.
Definition: Time.icpp:32

bool operator! | ( | const Gaudi::TimeSpan & | ts | ) |
| inline

Definition at line 308 of file Time.icpp.

308 {
309 return ! ts.ns();
310 }
Gaudi::TimeSpan::ns
ValueType ns(void) const
Return the time span as nanoseconds.
Definition: Time.icpp:128

bool operator!= | ( | const Gaudi::Time & | t1,
|  | const Gaudi::Time & | t2
| ) |  |
| inline

Definition at line 228 of file Time.icpp.

228 {
229 return t1.ns() != t2.ns();
230 }
Gaudi::Time::ns
ValueType ns(void) const
Return the time as nanoseconds since 00:00:00 on January 1, 1970 in UTC.
Definition: Time.icpp:32

bool operator!= | ( | const Gaudi::TimeSpan & | t1,
|  | const Gaudi::TimeSpan & | t2
| ) |  |
| inline

Definition at line 288 of file Time.icpp.

288 {
289 return t1.ns() != t2.ns();
290 }
Gaudi::TimeSpan::ns
ValueType ns(void) const
Return the time span as nanoseconds.
Definition: Time.icpp:128

Gaudi::Time operator+ | ( | const Gaudi::Time & | t,
|  | const Gaudi::TimeSpan & | ts
| ) |  |
| inline

Definition at line 196 of file Time.icpp.

196 {
197 return Gaudi::Time (t.ns() + ts.ns());
198 }
Gaudi::TimeSpan::ns
ValueType ns(void) const
Return the time span as nanoseconds.
Definition: Time.icpp:128
Gaudi::Time::ns
ValueType ns(void) const
Return the time as nanoseconds since 00:00:00 on January 1, 1970 in UTC.
Definition: Time.icpp:32
Gaudi::Time
Based on seal::Time.
Definition: Time.h:213

Gaudi::Time operator+ | ( | const Gaudi::TimeSpan & | ts,
|  | const Gaudi::Time & | t
| ) |  |
| inline

Definition at line 200 of file Time.icpp.

200 {
201 return Gaudi::Time (t.ns() + ts.ns());
202 }
Gaudi::TimeSpan::ns
ValueType ns(void) const
Return the time span as nanoseconds.
Definition: Time.icpp:128
Gaudi::Time::ns
ValueType ns(void) const
Return the time as nanoseconds since 00:00:00 on January 1, 1970 in UTC.
Definition: Time.icpp:32
Gaudi::Time
Based on seal::Time.
Definition: Time.h:213

Gaudi::TimeSpan operator+ | ( | const Gaudi::TimeSpan & | ts | ) |
| inline

Definition at line 256 of file Time.icpp.

256 {
257 return ts;
258 }
compareRootHistos.ts
tuple ts
Definition: compareRootHistos.py:342

Gaudi::TimeSpan operator+ | ( | const Gaudi::TimeSpan & | ts1,
|  | const Gaudi::TimeSpan & | ts2
| ) |  |
| inline

Definition at line 264 of file Time.icpp.

264 {
265 return Gaudi::TimeSpan (ts1.ns() + ts2.ns());
266 }
Gaudi::TimeSpan::ns
ValueType ns(void) const
Return the time span as nanoseconds.
Definition: Time.icpp:128
Gaudi::TimeSpan
Based on seal::TimeSpan.
Definition: Time.h:56

Gaudi::TimeSpan operator- | ( | const Gaudi::Time & | t1,
|  | const Gaudi::Time & | t2
| ) |  |
| inline

Definition at line 204 of file Time.icpp.

204 {
205 return Gaudi::TimeSpan (t1.ns() - t2.ns());
206 }
Gaudi::Time::ns
ValueType ns(void) const
Return the time as nanoseconds since 00:00:00 on January 1, 1970 in UTC.
Definition: Time.icpp:32
Gaudi::TimeSpan
Based on seal::TimeSpan.
Definition: Time.h:56

Gaudi::Time operator- | ( | const Gaudi::Time & | t,
|  | const Gaudi::TimeSpan & | ts
| ) |  |
| inline

Definition at line 208 of file Time.icpp.

208 {
209 return Gaudi::Time (t.ns() - ts.ns());
210 }
Gaudi::TimeSpan::ns
ValueType ns(void) const
Return the time span as nanoseconds.
Definition: Time.icpp:128
Gaudi::Time::ns
ValueType ns(void) const
Return the time as nanoseconds since 00:00:00 on January 1, 1970 in UTC.
Definition: Time.icpp:32
Gaudi::Time
Based on seal::Time.
Definition: Time.h:213

Gaudi::TimeSpan operator- | ( | const Gaudi::TimeSpan & | ts | ) |
| inline

Definition at line 260 of file Time.icpp.

260 {
261 return Gaudi::TimeSpan (-ts.ns());
262 }
Gaudi::TimeSpan::ns
ValueType ns(void) const
Return the time span as nanoseconds.
Definition: Time.icpp:128
Gaudi::TimeSpan
Based on seal::TimeSpan.
Definition: Time.h:56

Gaudi::TimeSpan operator- | ( | const Gaudi::TimeSpan & | ts1,
|  | const Gaudi::TimeSpan & | ts2
| ) |  |
| inline

Definition at line 268 of file Time.icpp.

268 {
269 return Gaudi::TimeSpan (ts1.ns() - ts2.ns());
270 }
Gaudi::TimeSpan::ns
ValueType ns(void) const
Return the time span as nanoseconds.
Definition: Time.icpp:128
Gaudi::TimeSpan
Based on seal::TimeSpan.
Definition: Time.h:56

bool operator< | ( | const Gaudi::Time & | t1,
|  | const Gaudi::Time & | t2
| ) |  |
| inline

Definition at line 232 of file Time.icpp.

232 {
233 return t1.ns() < t2.ns();
234 }
Gaudi::Time::ns
ValueType ns(void) const
Return the time as nanoseconds since 00:00:00 on January 1, 1970 in UTC.
Definition: Time.icpp:32

bool operator< | ( | const Gaudi::TimeSpan & | t1,
|  | const Gaudi::TimeSpan & | t2
| ) |  |
| inline

Definition at line 292 of file Time.icpp.

292 {
293 return t1.ns() < t2.ns();
294 }
Gaudi::TimeSpan::ns
ValueType ns(void) const
Return the time span as nanoseconds.
Definition: Time.icpp:128

StreamBuffer& operator<< | ( | StreamBuffer & | s,
|  | const Gaudi::Time & | t
| ) |  |
| inline

Definition at line 315 of file Time.icpp.

315 {
316 return s << t.ns();
317 }
Gaudi::Time::ns
ValueType ns(void) const
Return the time as nanoseconds since 00:00:00 on January 1, 1970 in UTC.
Definition: Time.icpp:32

bool operator<= | ( | const Gaudi::Time & | t1,
|  | const Gaudi::Time & | t2
| ) |  |
| inline

Definition at line 236 of file Time.icpp.

236 {
237 return t1.ns() <= t2.ns();
238 }
Gaudi::Time::ns
ValueType ns(void) const
Return the time as nanoseconds since 00:00:00 on January 1, 1970 in UTC.
Definition: Time.icpp:32

bool operator<= | ( | const Gaudi::TimeSpan & | t1,
|  | const Gaudi::TimeSpan & | t2
| ) |  |
| inline

Definition at line 296 of file Time.icpp.

296 {
297 return t1.ns() <= t2.ns();
298 }
Gaudi::TimeSpan::ns
ValueType ns(void) const
Return the time span as nanoseconds.
Definition: Time.icpp:128

bool operator== | ( | const Gaudi::Time & | t1,
|  | const Gaudi::Time & | t2
| ) |  |
| inline

Definition at line 224 of file Time.icpp.

224 {
225 return t1.ns() == t2.ns();
226 }
Gaudi::Time::ns
ValueType ns(void) const
Return the time as nanoseconds since 00:00:00 on January 1, 1970 in UTC.
Definition: Time.icpp:32

bool operator== | ( | const Gaudi::TimeSpan & | t1,
|  | const Gaudi::TimeSpan & | t2
| ) |  |
| inline

Definition at line 284 of file Time.icpp.

284 {
285 return t1.ns() == t2.ns();
286 }
Gaudi::TimeSpan::ns
ValueType ns(void) const
Return the time span as nanoseconds.
Definition: Time.icpp:128

bool operator> | ( | const Gaudi::Time & | t1,
|  | const Gaudi::Time & | t2
| ) |  |
| inline

Definition at line 240 of file Time.icpp.

240 {
241 return t1.ns() > t2.ns();
242 }
Gaudi::Time::ns
ValueType ns(void) const
Return the time as nanoseconds since 00:00:00 on January 1, 1970 in UTC.
Definition: Time.icpp:32

bool operator> | ( | const Gaudi::TimeSpan & | t1,
|  | const Gaudi::TimeSpan & | t2
| ) |  |
| inline

Definition at line 300 of file Time.icpp.

300 {
301 return t1.ns() > t2.ns();
302 }
Gaudi::TimeSpan::ns
ValueType ns(void) const
Return the time span as nanoseconds.
Definition: Time.icpp:128

bool operator>= | ( | const Gaudi::Time & | t1,
|  | const Gaudi::Time & | t2
| ) |  |
| inline

Definition at line 244 of file Time.icpp.

244 {
245 return t1.ns() >= t2.ns();
246 }
Gaudi::Time::ns
ValueType ns(void) const
Return the time as nanoseconds since 00:00:00 on January 1, 1970 in UTC.
Definition: Time.icpp:32

bool operator>= | ( | const Gaudi::TimeSpan & | t1,
|  | const Gaudi::TimeSpan & | t2
| ) |  |
| inline

Definition at line 304 of file Time.icpp.

304 {
305 return t1.ns() >= t2.ns();
306 }
Gaudi::TimeSpan::ns
ValueType ns(void) const
Return the time span as nanoseconds.
Definition: Time.icpp:128

StreamBuffer& operator>> | ( | StreamBuffer & | s,
|  | Gaudi::Time & | t
| ) |  |
| inline

Definition at line 319 of file Time.icpp.

319 {
320 Gaudi::Time::ValueType tmp;
321 s >> tmp;
322 t = Gaudi::Time(tmp);
323 return s;
324 }
Gaudi::Time::ValueType
longlong ValueType
Definition: Time.h:216
Gaudi::Time
Based on seal::Time.
Definition: Time.h:213
gaudirun.s
string s
Definition: gaudirun.py:245